#1202 closed defect (fixed)

ECANCELED not defined in errno

Reported by: Johnny Willemsen Owned by: Joel Sherrill
Priority: normal Milestone: 4.8
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The aio methods describe that there is an error status ECANCELED, on linux this is for example a define in errno.h which is the value 125. See the following link of posix:
http://www.opengroup.org/onlinepubs/009695399/functions/aio_cancel.html

Please add ECANCELED also to the rtems header files and make sure that aio_cancel works as following:
For requested operations that are successfully canceled, the associated error status shall be set to [ECANCELED] and the return status shall be -1. For requested operations that are not successfully canceled, the aiocbp shall not be modified by aio_cancel().

Change History (3)

comment:1 Changed on Jan 2, 2007 at 5:59:35 AM by Ralf Corsepius

blocked: 1205

comment:2 Changed on May 28, 2007 at 1:58:27 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

ECANCELED is now defined by newlib with both 4.7 and 4.8 tools.

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.